; 15N TROSY-T2  experiment
;Lakomek NA, Kaufman JD, Stahl SJ, Louis JM, Grishaev A, Wingfield PT, Bax A.
;Angew Chem Int Ed Engl. 2013,52,3911-5.
; for 15N, 15N13C, 2H15N and 2H15N13C labelled proteins
; written by NL 10/25/11
; see footnotes

#include <Avance.incl>
#include <Grad.incl>
#include <Delay.incl>

;#define LABEL_CN  ; switch on for 13C labelled samples


"in0=inf1*0.5"

# ifdef LABEL_CN
"d0=97u-p4*2+p7*0.66-p1*0.5"
"d25=20m-p15*0.5-p4*4-8u"
#else
"d0=100u+p7*0.66-p1*0.5"
"d25=20m-p15*0.5"
#endif /*LABEL_CN*/

"d11=30m"
"DELTA=2.65m"
"DELTA1=2.65m"
"DELTA2=2.65m-p22-p11-300u"
"DELTA3=2.65m-p23-p10-300u"
"DELTA4=260u-p24-p1*0.66"

"d27=p24+35u"

"l1=1"
"l2=1"


"cnst21=176"
"cnst22=56"
"cnst18=-800"



"spoff4=bf2*((cnst22-cnst21)/1000000)"



1       ze
        1m 
2       d11 do:f2
        1m LOCKH_OFF
        3m 
;3       1m  ; comment in for inter-leaved experiment using vd loop 
;        1m 
4       3m 
5       2m BLKGRAD
        10u pl1:f1
        10u pl4:f2
        10u pl7:f3
        10u 

        d1

        1m UNBLKGRAD
        10u

;-------  INEPT Hz-> 2HxNz -----------
        (p1 ph0):f1
        5u
        DELTA gron0 ; soft gradient to prevent radiation damping 
        5u  groff
        (center(p1*2 ph0):f1 (p7*2 ph0):f3)
        5u
        DELTA gron0
        5u groff
        (p1 ph1):f1
	3u
        3u pl0:f1 
        (p11:sp14 ph14:r):f1 
;goto 999 ; for optimization of  water supression
        5u
        p20:gp6
        200u   
        3u pl1:f1 
;---------E/A encoding

        if "l1==1" 
        {
        (p7 ph7):f3
        10u
        d2 ; vd ; d2=0 in TROSY reference experiment ; change d2 to different value, eg. 25m, in second experiment  
        p25:gp5
        200u 
        (p7*2 ph7):f3
        10u
        p25:gp5*-1
        d2 ; vd ;change d2 to vd for inter-leaved experiments
        }
        else 
        {
        (p7 ph17):f3
       	10u
        d2 ; vd
        p25:gp5*-1
        200u 
        (p7*2 ph17):f3
        10u
        p25:gp5
        d2 ; vd
        }
;------ t1 (15N) evolution period ------------------------------
        d0
# ifdef LABEL_CN
        (p4*2 ph0 3u 3u pl2 p4*2:sp4 ph0):f2
# endif
        d0
;------ start TROSY read-out------------------------------------
        if "l1==1" 
        {
        (p1 ph1):f1    ; Echo 
        3u
        3u pl0:f1  
        (p11:sp11 ph11:r):f1 
        6u
        }
        else
        {
        (p1 ph3):f1   ; Anti-Echo 
        3u
        3u pl0:f1  
        (p11:sp11 ph13:r):f1 
        6u
        }
        5u pl1:f1
;goto 999 ; optimization of  water supression
        DELTA2       
        p22:gp2
        300u
        (center (p1*2 ph0):f1 (p7*2 ph0):f3)
        7u
        p22:gp2
        DELTA2
        300u pl0:f1  
;-------------------------------------------------  
        (p11:sp12 ph12:r):f1  
        5u 
        3u pl1:f1
        if "l1==1" 
        {
        (p1 ph0):f1 (p7 ph1):f3  ; Echo
        }
        else
        {
        (p1 ph0):f1 (p7 ph3):f3     ; Anti-Echo
        }
 ;goto 999 ; for optimization of  water supression
        DELTA3
        p23:gp3           
        200u 
        100u pl10:f1
        (center(p10 ph10:r 5u pl1 p1*2 ph0 5u pl10 p10 ph10:r):f1 (p7*2 ph0 d27):f3)
        5u
;goto 999 ; for optimization of  water supression
        p23:gp3
        DELTA3
        DELTA4 
        (p7 ph0):f3
        5u
        p24:gp4 ; Echo/Anti-echo decoding gradient
999     5u
        5u pl31:f2
        20u BLKGRAMP
        go=2 ph31 cpds2:f2
        1m do:f2
        1m LOCKH_OFF
        d11 wr #0 if #0 zd
        ;1m ivd          ; comment in if vdlist is used for inter-leaved experiment
        ;1m 
        ;lo to 3 times l6 ; l6 counter of vdlist
        1m iu1 
        1m igrad EA
        1m ru2
        lo to 4 times 2 
        1m id0
        1m ru1
        lo to 5 times l3
1m
1m BLKGRAD
exit    
        
ph0=0  
ph1=1  
ph2=2
ph3=3
ph5=1 
ph6=1  
ph10=2
ph11=3
ph12=0
ph13=1
ph14=0
ph7=1 0 3 2 3 2 1 0
ph17=1 2 3 0 3 0 1 2
ph31=1 2 3 0 3 0 1 2   


;-------------NOTES----------------------
; Relaxation rates for the slowly relaxing NH doublet component ("TROSY" line) are measured in a Hahn-Echo like fashion
; by adding an extra delay d2 during the E/A encoding step.

; d2 relaxation delay; set to 0 in standard 15N TROSY-HSQC and reference experiment
; This experiment can be used as a standard 15N TROSY-HSQC experiment by just setting d2=0
; The decay of the slowly relaxing NH doublet component ("TROSY line") can be estimated by setting d2 to a different value, eg. 25m; best results can be obtained by setting d2 such that the signal in the first ser file has decayed by 1/e = 0.37.
; To get a quick estimate and if spectrometer stability allows, both experiments can be recorded subsequently.
; Otherwise running the experiment in an inter-leaved mode using vd and an number of different delay durations is recommended.

;o1p = 4.7 ppm
;o2p=176 ppm (CO)
;o3p=119 ppm
 
;NS=4*n
;in0=inf/2
;SW=1/(2*in0)


; 1H pulses

;p1:  90 deg hard 1H pulse @pl1
;pl1: 1H 90 deg
;pl0: 120 dB
;p10: 1200u (@ 600 MHz) 90 deg soft rectangular water flip-back pulse
;p11: 1900u (@ 600 MHz) 90 deg Sinc1.1000 water flip-back pulse (sp11,sp12)
;p15: 2000u (@ 600 MHz) 180 deg IBurp2 pulse on 1H (sp15)
;sp11: 90 deg Sinc1.1000 water flip-back pulse
;sp12: 90 deg Sinc1.1000 water flip-back pulse
;sp14: 90 deg Sinc1.1000 water flip-back pulse
;spnam11: Sinc1.1000
;spnam12: Sinc1.1000
;spnam14: Sinc1.1000

; 13C pulses

;p4: 13CO selective 180 deg (23.7*2us @ 600 MHz) @pl4
;pl2: 120 dB
;pl4: 13C 90 deg 

;sp4: 13CA selective 180 deg (p4*2 = 23.7*2us @ 600 MHz)  
;CPDPRG2: garp (aq C' decoupling)
;pcpd5: C' decoupling (140u or 280u @pl31)
;pl31: C' decoupling power
;spnam4 rect10

;15N pulses
;p7 : 90 deg hard 15N pulse @pl7
;pl7 :15N 90 deg

; gradients
;p20: 1000u
;p21: 200u
;p22: 300u
;p23: 1000u
;p24: 60.8u Echo/Anti-echo decoding gradient
;p25: 300u Echo/Anti-echo half-encoding gradient

;for z-only gradients ;  optimize gradients for best water-suppression
; on some spectrometers gp0= 5% with a duration of 200 us gives better water-supression
;gpz0: 1%
;gpz2: 10%
;gpz3: 50%
;gpz4: 33%
;gpz5: -33%
;gpz6: 30%
;gpz7: -50%

;gpnam2 SINE.10
;gpnam3 SINE.50
;gpnam4 SINE.10
;gpnam5 SINE.10
;gpnam6 SINE.10
;gpnam7 SINE.10
